/**
* 文件：MateriaBomTreeForm.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/
package com.mortals.xhx.module.materia.web;

import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.materia.model.MateriaBomTreeEntity;
import com.mortals.xhx.module.materia.model.MateriaBomTreeQuery;

/**
 * <p>Title: 物料BOM类目表</p>
 * <p>Description: MateriaBomTreeForm  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class MateriaBomTreeForm extends BaseCRUDFormLong<MateriaBomTreeEntity> {
	private MateriaBomTreeEntity MateriaBomTree = new MateriaBomTreeEntity();
	private MateriaBomTreeQuery query = new MateriaBomTreeQuery(); 
	public MateriaBomTreeForm(){
		
	}
	
    @Override
	public MateriaBomTreeEntity getEntity() {
		return MateriaBomTree;
	}
	public MateriaBomTreeEntity getMateriaBomTree() {
		return MateriaBomTree;
	}

	public void setMateriaBomTree(MateriaBomTreeEntity MateriaBomTree) {
		this.MateriaBomTree = MateriaBomTree;
	}
	
	@Override
	public MateriaBomTreeQuery getQuery() {
		return query;
	}

	public void setQuery(MateriaBomTreeQuery query) {
		this.query = query;
	}
}